Hi there! You are currently browsing as a guest. Why not create an account? Then you get less ads, can thank creators, post feedback, keep a list of your favourites, and more!

XCAS core mod: more tattoo locations, edit naked outfit, slider hack, body hair, more - update 5/23/16 Steam version added.

by CmarNYC Posted 15th Feb 2011 at 6:58 PM - Updated 23rd May 2016 at 3:53 PM by CmarNYC : Steam support added
 
1736 Comments / Replies (Who?) - 1268 Feedback Posts, 416 Thanks Posts
Hide Thanks Posts for this thread (Show only feedback)
Page 6 of 70
Mother Function
retired moderator
#126 Old 5th Jun 2011 at 4:10 AM
Cmar, your mod keeps giving the EA incompatibility error. I have isolated the problem file down to either the core package or the locations package.

Edit - My apologies, I didn't patch! Although I thought installing Generations auto patched the game.

"Holy Shift! Check out the asymptotes on that mother function!"
Ms. Byte
Original Poster
#127 Old 5th Jun 2011 at 4:23 AM
Quote:
Originally Posted by daluved1
Cmar, your mod keeps giving the EA incompatibility error. I have isolated the problem file down to either the core package or the locations package.


It would be the core package - locations is just CASPs. Please open the core package in s3pe, select the S3SA file, and in the section on the right look for GameVersion. If that's 0.2.0.151 you've got the right core package for base game 1.22, which of course you can check in the launcher. If both match and you're getting the error something strange is going on.
Mother Function
retired moderator
#128 Old 5th Jun 2011 at 4:41 AM
Quote:
Originally Posted by CmarNYC
It would be the core package - locations is just CASPs. Please open the core package in s3pe, select the S3SA file, and in the section on the right look for GameVersion. If that's 0.2.0.151 you've got the right core package for base game 1.22, which of course you can check in the launcher. If both match and you're getting the error something strange is going on.


For some reason my game didn't patch when I installed Generations. It's all good now.

"Holy Shift! Check out the asymptotes on that mother function!"
Ms. Byte
Original Poster
#129 Old 5th Jun 2011 at 12:28 PM
Quote:
Originally Posted by daluved1
For some reason my game didn't patch when I installed Generations. It's all good now.


Maybe the same thing happened as for me? When I installed Generations it patched the base game to 1.21, then the Launcher patched me to 1.22 when I ran the game.
Instructor
#130 Old 5th Jun 2011 at 2:43 PM
That is because EA updated the patch AFTER Generations went to print.

Remember, the DVD's would have been printed, or went to print initially, months ago.

FifthAce2007

My Sims 2 creations are no longer supported. Regardless of what the individual post says, feel free to clone, recolour, chuck on a bonfire or mix in a blender! Just credit me/this site with the upload, and upload here only, thanks
Ms. Byte
Original Poster
#131 Old 5th Jun 2011 at 4:26 PM
Quote:
Originally Posted by FifthAce2007
That is because EA updated the patch AFTER Generations went to print.

Remember, the DVD's would have been printed, or went to print initially, months ago.


That's pretty much what I figured. Like an idiot, I was all set to do the update of XCAS right after installing Generations - pure luck that I ran the game first and realized there was another patch or I would have wasted a few hours.
Instructor
#132 Old 5th Jun 2011 at 9:05 PM
Not like an idiot at all, it's a reasonable assumption to make. Besides, if EA did their job correctly, they wouldn't need to release an update right after releasing the EP lol

Fantastic work though, I am fairly intelligent but coding is something I cannot get my head round, greatest respect for those that can

FifthAce2007

My Sims 2 creations are no longer supported. Regardless of what the individual post says, feel free to clone, recolour, chuck on a bonfire or mix in a blender! Just credit me/this site with the upload, and upload here only, thanks
Field Researcher
#133 Old 5th Jun 2011 at 9:33 PM
which file do i use to raise the limit of sliders i can use in game?
Ms. Byte
Original Poster
#134 Old 5th Jun 2011 at 10:25 PM
Quote:
Originally Posted by Honey32
which file do i use to raise the limit of sliders i can use in game?


As long as you have cmar_XCAS_core.package installed, the limit on number of sliders will be increased.
Test Subject
THANKS POST
#135 Old 6th Jun 2011 at 11:22 AM
have a sugestion slash question mixed with a comment. ive run into issues when my teen sim falls in love and the girl friend aged up to young adult befor him so there were no romance options to chose from any more. he then found another girlfriend, then he aged up befor she did, once again .... no romance available. was looking for a mod to alow relationships between adults and teen to solve this problem. how ever the only ones i found were core mods, and you said this mod is not compatible with any other core mod. so ........... my question is, would it be possible to incorperate somthing like this into you mod, because i really dont want to quit using this mod, but im tired of my sims not being able to date. Its kinda like a girls parent calling the cops on her boyfriend because shes 17 and hes 18 even though theres only a couple months diffrence in age
Ms. Byte
Original Poster
#136 Old 6th Jun 2011 at 11:57 AM
Sorry, but I prefer to keep this mod confined to CAS and the code affecting CAS. Doing a relationship mod like you describe would affect other components of the game and other parts of the code.

I suggest you use the Master Controller mods - they're not core mods although they affect the core code, and I know they can enable adult/teen romance. The main Master Controller is completely compatible with XCAS and probably most of the others are too. The only ones that are incompatible are Twallan's Tattoo Extension and his CAS Integrator, since they duplicate the functions of XCAS. And of course you could remove XCAS and use his mods instead.
Test Subject
THANKS POST
#137 Old 7th Jun 2011 at 6:50 PM
I don't know if this has already been asked. Sorry if it has!
I don't have Generations, but i just updated to patch 6.5. Will the extras still work in my game?
Also, if i have sliders already installed (These ones: http://www.modthesims.info/download.php?t=378416 ) will they still work?
Sorry if somebody has already asked this.
Ms. Byte
Original Poster
#138 Old 7th Jun 2011 at 10:34 PM
No problem.

All the extras will continue to work with the new patch.

All sliders should also continue to work. The ones I've looked at are all working.
Instructor
#139 Old 8th Jun 2011 at 7:50 AM
Hi, I noticed that when I plan the "Nude" outfit at a dresser, the Sims gets assigned random face paint make-up (not when it's in any other clothing category). I thought it was just a graphical glitch, but now the face paint is actually a part of the outfit when the Sim gets nude for the shower.

This space intentionally left blank...
Ms. Byte
Original Poster
#140 Old 8th Jun 2011 at 3:43 PM
Strange - I haven't seen that happen. Possibly it could be carrying over makeup from another clothing category, although changing into Naked shouldn't work any differently from changing into any other outfit. I don't use much makeup on my sims so I might not have noticed. I'll take a closer look when I get time.
Test Subject
THANKS POST
#141 Old 9th Jun 2011 at 12:17 PM
'It seems like you have an unofficial core mod or script installed. We recommend that you uninstall or update the mdos to the coresponding versions' or something like that. It happens after the latest patch, and this mod + awesomemod seems to cause these errors.
Ms. Byte
Original Poster
#142 Old 9th Jun 2011 at 1:18 PM
You can't use this and AwesomeMod together. They both modify the same core code packages.
Test Subject
THANKS POST
#143 Old 10th Jun 2011 at 8:52 AM
OMFG!!! U should make a step by step tut on how to install or at least email me how. my email is [email protected]
Ms. Byte
Original Poster
#144 Old 10th Jun 2011 at 12:17 PM
Step by step instructions on how to install custom content are here: http://www.modthesims.info/wiki.php...g_Package_Files

Detailed instructions on which packages to install to get what you want from this mod are in the readme files in the downloads.

And it's a very bad idea to post your email address on a public website, unless you're fond of junk email.
Forum Resident
DELETED POST
11th Jun 2011 at 11:25 AM
This message has been deleted by brillo_pad. Reason: sorry.
Forum Resident
#145 Old 11th Jun 2011 at 11:26 AM Last edited by brillo_pad : 11th Jun 2011 at 11:52 AM.
I'm getting the same thing as Jo-Barf_Creepy happening, but this is the only core mod I have.. all other mods I have are Twallan, which I understand aren't core?

EDIT: Duh.. updated my game.. the option to never appeared before today.

Go suck an elf...
Test Subject
#146 Old 13th Jun 2011 at 7:57 PM
will this be patched to 6.5.1? It stopped working once I updated my game
Ms. Byte
Original Poster
#147 Old 13th Jun 2011 at 9:48 PM
Quote:
Originally Posted by zombiefishlove
will this be patched to 6.5.1? It stopped working once I updated my game


The new version has been up since 6/1.
Instructor
#148 Old 15th Jun 2011 at 3:22 AM
CmarNYC, can you also add new location for body hair like you did with the tattoo?

New locations:
Pubic Area
Butts
Ms. Byte
Original Poster
#149 Old 15th Jun 2011 at 12:45 PM
Quote:
Originally Posted by Celebriton
CmarNYC, can you also add new location for body hair like you did with the tattoo?

New locations:
Pubic Area
Butts


No need. Every body hair location uses the same whole-body mapping which is identical to the skin textures. For pubic you can use Chest / Stomach, and for butt you can use lower back. (Or any other location, but those two make sense.) While I could probably make more locations for the sake of organizing the hairs, it's not a trivial amount of work, has to be repeated whenever a patch comes out, and forces people to use this core mod or an equivalent in order to use the hairs. I'd rather not.
Page 6 of 70